/*
 * Open source under the BSD License. 
 * 
 * Copyright  2013 Alexander Columbus
 * http://www.the-passenger.it
 * All rights reserved.
 *
 */	

	function gSlider( arr )
	{
		// inizializzo le variabili principali
		var obj = $( arr['obj'] );
		var nCol = arr['nCol'] == '' ? 3 : arr['nCol'];
		var effetto = arr['effect'];
		var pagPosition = arr['pagPosition'] == '' ? 'top' : arr['pagPosition'];
		
		if( arr['obj'] != '' )
		{	
			if( arr['obj'][0] == '.' )
				objSelector = 'class="'+ arr['obj'].replace( '.', '' ) +'"';
			else
				objSelector = 'id="'+ arr['obj'].replace( '#', '' ) +'"';
			
			if( pagPosition == 'top' )
				obj.before('<div class="slidePagination"></div><div class="slideContainer"><ul '+ objSelector +'></ul></div>');
			else
				obj.before('<div class="slideContainer"><ul '+ objSelector +'></ul></div><div class="slidePagination"></div>');
				
			objHTML = obj.html();
			obj.remove();
			$('.slideContainer ul' ).html( objHTML );
			
			var wContainer = $( '.slideContainer' ).width();
			var totCol =  $('.slideContainer ul li').size();
			
			var l_spacing = $('.slideContainer ul li').css( 'margin-left' );
			var r_spacing = $('.slideContainer ul li').css( 'margin-right' );
				l_spacing = l_spacing.replace( 'px', '' );
				r_spacing = r_spacing.replace( 'px', '' );

			var colSpacing = parseInt( l_spacing ) + parseInt( r_spacing );
			var wCol = ( wContainer - ( nCol * colSpacing )) / nCol;
			
			$('.slideContainer ul' ).width( ( wCol * totCol ) + ( ( 1+ colSpacing ) * totCol) );
			$('.slideContainer ul li').width( wCol );
		
			var i = 0;
			//while( i < ( ( wContainer - wCol ) / wCol ))
            while( i < ( totCol / nCol ))
			{
				var tmp =  $('.slidePagination').html();
                
                if( i == 0 )
                    tmp = tmp + '<a href="javascript:scrollMe(' + ( wContainer * i ) + ', \''+ effetto +'\');" class="bullet selected"></a>';
                else
                    tmp = tmp + '<a href="javascript:scrollMe(' + ( wContainer * i ) + ', \''+ effetto +'\');" class="bullet"></a>';
                
                $('.slidePagination').html( tmp );
				i++;	
			}
            
                        
            $('.slidePagination a.bullet').click( function(){
                
				$('.slidePagination a').removeClass( 'selected' );
				$( this ).addClass( 'selected' );

            });
			
		} else
			alert( "Oggetto non trovato");
		
		
	}
	
	
	function scrollMe( val, effetto )
    {
		if( effetto == 'fade' )
		{
			$('.slideContainer li').css({ opacity : 0 });
			$('.slideContainer').scrollLeft( val );
			$('.slideContainer li').animate({ opacity : 1 }, 900 );
			
		} else if( effetto == 'slide' )
		{
			$('.slideContainer').animate({ scrollLeft : val }, 800 );
			
		} else
			$('.slideContainer').scrollLeft( val );
			
    }
